<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.yd.csf.service.dao.AdditionalMapper">

    <select id="page" resultType="com.yd.csf.feign.response.additional.ApiAdditionalPageResponse">
        select a.* from additional a

        <where>

            <if test="request.productName != null and request.productName != ''">
                and a.product_name like concat('%', #{request.productName}, '%')
            </if>

            and a.plan_biz_id = #{request.planBizId}
            and a.is_deleted = 0
        </where>
    </select>
</mapper>
